DADA2 error: please inspect stdout and stderr to learn more.

(qiime2-2022.8) [email protected] kashif_hbku % qiime dada2 denoise-paired
--i-demultiplexed-seqs paired-end-demux.qza
--p-trim-left-f 13
--p-trim-left-r 13
--p-trunc-len-f 150
--p-trunc-len-r 150
--o-table table.qza
--o-representative-sequences rep-seqs.qza
--o-denoising-stats denoising-stats.qza
--verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada.R --input_directory /var/folders/p7/g1d3m4c93lb7c9gz0jnl6l7m0000gp/T/tmpd7d37ffa/forward --input_directory_reverse /var/folders/p7/g1d3m4c93lb7c9gz0jnl6l7m0000gp/T/tmpd7d37ffa/reverse --output_path /var/folders/p7/g1d3m4c93lb7c9gz0jnl6l7m0000gp/T/tmpd7d37ffa/output.tsv.biom --output_track /var/folders/p7/g1d3m4c93lb7c9gz0jnl6l7m0000gp/T/tmpd7d37ffa/track.tsv --filtered_directory /var/folders/p7/g1d3m4c93lb7c9gz0jnl6l7m0000gp/T/tmpd7d37ffa/filt_f --filtered_directory_reverse /var/folders/p7/g1d3m4c93lb7c9gz0jnl6l7m0000gp/T/tmpd7d37ffa/filt_r --truncation_length 150 --truncation_length_reverse 150 --trim_left 13 --trim_left_reverse 13 --max_expected_errors 2.0 --max_expected_errors_reverse 2.0 --truncation_quality_score 2 --min_overlap 12 --pooling_method independent --chimera_method consensus --min_parental_fold 1.0 --allow_one_off False --num_threads 1 --learn_min_reads 1000000

R version 4.1.3 (2022-03-10)
Loading required package: Rcpp
DADA2: 1.22.0 / Rcpp: 1.0.9 / RcppParallel: 5.1.5
2) Filtering Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
Mismatched forward and reverse sequence files: 23816, 22865.
Execution halted
Traceback (most recent call last):
File "/Users/mus4008/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 308, in denoise_paired
run_commands([cmd])
File "/Users/mus4008/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
subprocess.run(cmd, check=True)
File "/Users/mus4008/miniconda3/envs/qiime2-2022.8/lib/python3.8/subprocess.py", line 516, in run
raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['run_dada.R', '--input_directory', '/var/folders/p7/g1d3m4c93lb7c9gz0jnl6l7m0000gp/T/tmpd7d37ffa/forward', '--input_directory_reverse', '/var/folders/p7/g1d3m4c93lb7c9gz0jnl6l7m0000gp/T/tmpd7d37ffa/reverse', '--output_path', '/var/folders/p7/g1d3m4c93lb7c9gz0jnl6l7m0000gp/T/tmpd7d37ffa/output.tsv.biom', '--output_track', '/var/folders/p7/g1d3m4c93lb7c9gz0jnl6l7m0000gp/T/tmpd7d37ffa/track.tsv', '--filtered_directory', '/var/folders/p7/g1d3m4c93lb7c9gz0jnl6l7m0000gp/T/tmpd7d37ffa/filt_f', '--filtered_directory_reverse', '/var/folders/p7/g1d3m4c93lb7c9gz0jnl6l7m0000gp/T/tmpd7d37ffa/filt_r', '--truncation_length', '150', '--truncation_length_reverse', '150', '--trim_left', '13', '--trim_left_reverse', '13', '--max_expected_errors', '2.0', '--max_expected_errors_reverse', '2.0', '--truncation_quality_score', '2', '--min_overlap', '12', '--pooling_method', 'independent', '--chimera_method', 'consensus', '--min_parental_fold', '1.0', '--allow_one_off', 'False', '--num_threads', '1', '--learn_min_reads', '1000000']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Users/mus4008/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/commands.py", line 339, in call
results = action(**arguments)
File "", line 2, in denoise_paired
File "/Users/mus4008/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/qiime2/sdk/action.py", line 234, in bound_callable
outputs = self.callable_executor(scope, callable_args,
File "/Users/mus4008/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/qiime2/sdk/action.py", line 381, in callable_executor
output_views = self._callable(**view_args)
File "/Users/mus4008/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 321, in denoise_paired
raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

I have only six paired-end samples with following IDs
C1_S35_L001_R1_001.fastq.gz
C1_S35_L001_R2_001.fastq.gz
C2_S39_L001_R1_001.fastq.gz
C2_S39_L001_R2_001.fastq.gz
C3_S43_L001_R1_001.fastq.gz
C3_S43_L001_R2_001.fastq.gz
C4_S46_L001_R1_001.fastq.gz
C4_S46_L001_R2_001.fastq.gz
C5_S51_L001_R1_001.fastq.gz
C5_S51_L001_R2_001.fastq.gz
C6_S55_L001_R1_001.fastq.gz
C6_S55_L001_R2_001.fastq.gz

I imported them using following command which went very well

qiime tools import --type 'SampleData[PairedEndSequencesWithQuality]' --input-path kashif_hbku_manifest.txt --output-path paired-end-demux.qza --input-format PairedEndFastqManifestPhred33

please help

Hello again @drmusk,

Here's the core of the error:

This is common when reads have been pre-filtered before importing into Qiime2, resulting a mismatched number of reads.

Was some sort of pre-filter applied to your data?

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.